getLogInSpecifiedTime(params: IGetLogInSpecifiedTime)

Requires:
@ray-js/ray≥1.5.2

Description

Get DP reporting logs within a specified time range (supports pagination)

Parameters

ParameterTypeRequiredDescription
YesRequest parameters

Return Value

Type: Promise<IGetLogInSpecifiedTimeResponse>
Log data, including total count, DP log list, and whether there is a next page

Valid Values

IGetLogInSpecifiedTime.sortType
ValueDescriptionSince
DESC--
ASC--

Examples

Basic usage

import { getLogInSpecifiedTime } from '@ray-js/ray';

getLogInSpecifiedTime({
  devId: 'vdevo169477319679442',
  dpIds: '1,2',
  offset: 0,
  limit: 50,
  startTime: '1620000000000',
  endTime: '1629999999999',
  sortType: 'DESC',
}).then((res) => {
  console.log('Log data:', res);
}).catch((error) => {
  console.error(error);
});